package ru.mike.downloaderbot.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.mike.downloaderbot.domain.Channel;

import java.util.List;
import java.util.UUID;

public interface ChannelRepository extends JpaRepository<Channel, UUID> {

    void deleteAllByRuleId(UUID id);

    List<Channel> findAllByRuleId(UUID id);
}
