package ru.mike.downloaderbot.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import ru.mike.downloaderbot.domain.Rule;
import ru.mike.downloaderbot.repository.RuleRepository;

import java.util.Optional;

@Service
public class RuleService {
    @Autowired
    private RuleRepository ruleRepository;


    public Optional<Rule> findByChannelName(String channelName) {
        return ruleRepository.findByChannelName(channelName);
    }

    public Rule save(Rule rule) {
        return ruleRepository.save(rule);
    }
}
