package ru.mike.downloaderbot;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class DownloaderBotApplication implements CommandLineRunner {
    @Autowired
    private UpdateProcessor updateProcessor;

    public static void main(String[] args) {
        SpringApplication.run(DownloaderBotApplication.class, args);
    }

    @Override
    public void run(String... args) {
        updateProcessor.processUpdates();
    }
}
