package ru.mike.downloaderbot.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.mike.downloaderbot.domain.Rule;

import java.util.Optional;
import java.util.UUID;

public interface RuleRepository extends JpaRepository<Rule, UUID> {

    Optional<Rule> findByChannelName(String name);
}
